//simple XHR request in pure JavaScript
function xhr_load(url, callback, async, timeout) {
	var xhr;
 
	if(typeof XMLHttpRequest !== 'undefined') {
		xhr = new XMLHttpRequest();	
	}  else {
		var versions = ["MSXML2.XmlHttp.5.0", 
			 	"MSXML2.XmlHttp.4.0",
			 	"MSXML2.XmlHttp.3.0", 
			 	"MSXML2.XmlHttp.2.0",
			 	"Microsoft.XmlHttp"]
 
		for(var i = 0, len = versions.length; i < len; i++) {
		try {
			xhr = new ActiveXObject(versions[i]);
			break;
		} catch(e){}
		} // end for
	}
	
	xhr.onreadystatechange = ensureReadiness;
		
	function ensureReadiness() {
		// all is well	
		if(xhr.readyState == 4) {
			callback(xhr);
		}			
	}	

	xhr.open('GET', url, async);
	if (timeout <= 0) {
		timeout = 21;
	}
	xhr.timeout = timeout;
	xhr.send('');
}

